Skip to main content
GET
ListBonuses

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

game_id
string
required
user_id
string
account_id
string
limit
integer<int32>

default: 100

Required range: x <= 250
offset
integer<int32>
Required range: x >= 0
from
string<date-time>
to
string<date-time>

Response

200 - application/json

Success

id
string
required
account_id
string
required
amount
integer<int32>
required
Required range: x >= 0
currency
enum<string>
required
Available options:
USD,
GBP,
EUR
created_at
string<date-time>
required
key
string | null
metadata
metadata · object | null

Represents a JSON object.

An unordered key-value map, intending to perfectly capture the semantics of a JSON object. This enables parsing any arbitrary JSON payload as a message field in ProtoJSON format.

This follows RFC 8259 guidelines for interoperable JSON: notably this type cannot represent large Int64 values or NaN/Infinity numbers, since the JSON format generally does not support those values in its number type.

If you do not intend to parse arbitrary JSON into your message, a custom typed message should be preferred instead of using this type.